# Concorde IDE

Concorde is a currently WIP IDE made by BodgeMaster and Shwoomple.

Planned features:
- can operate as a single window or components of the IDE (like the console) can be undocked and run in separate windows to allow for better use of multiple monitors
- all GUI elements have to be controlled in a toolkit independent way so that `gui_handler.py` can be yoinked and replaced with a different implementation without changing any other code
- only barebones internals, relying on external tools to provide most of the traditional IDE features
    - project management
        - preferably rely on standard tools to do that and just provide a nice way of interacting with them in the IDE
    - code editor
        - integration for syntax checking, warnings, etc. (if provided by external tool)
        - integration for syntax highlighting (if provided by external tool)
        - integration for project-wide renaming of variables (if provided by external tool)
    - console / terminal
    - file explorer / project explorer
- some sort of extension API to both unify the integration of external tools and add functionality to the IDE (low priority goal)
